<Project Sdk="Microsoft.NET.Sdk.Razor">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
    </PropertyGroup>

    <ItemGroup>
        <SupportedPlatform Include="browser"/>
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="IntegryApiClient.Core" Version="2.0.1" />
        <PackageReference Include="Microsoft.AspNetCore.Components.Web" Version="10.0.7" />
        <PackageReference Include="CommunityToolkit.Mvvm" Version="8.4.2" />
        <PackageReference Include="MudBlazor" Version="9.0.0" />
        <PackageReference Include="CodeBeam.MudBlazor.Extensions" Version="9.0.1" />
        <PackageReference Include="Sentry" Version="6.4.1" />
        <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.17.0" />
        <PackageReference Include="Microsoft.AspNetCore.Components.Authorization" Version="10.0.7" />
        <PackageReference Include="Microsoft.Maui.Essentials" Version="10.0.51" />
    </ItemGroup>

    <ItemGroup>
        <Folder Include="wwwroot\js\bootstrap\"/>
    </ItemGroup>

    <ItemGroup>
      <UpToDateCheckInput Remove="Components\Layout\Overlay\SpinnerOverlay.razor" />
    </ItemGroup>

</Project>
